Bug 80941 - "Character Coding" options spectacularly ineffective
"Character Coding" options spectacularly ineffective
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: vte (Show other bugs)
9
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Behdad Esfahbod
: Triaged
Depends On:
Blocks: 79579 CambridgeTarget
  Show dependency treegraph
 
Reported: 2003-01-02 12:14 EST by Michal Jaegermann
Modified: 2007-04-18 12:49 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-05 13:14:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
a test file in KOI-8 encoding (141 bytes, application/octet-stream)
2003-01-02 12:42 EST, Michal Jaegermann
no flags Details
test file in UTF-8 (249 bytes, text/plain)
2003-01-02 15:18 EST, Havoc Pennington
no flags Details

  None (edit)
Description Michal Jaegermann 2003-01-02 12:14:22 EST
Description of problem:

In "Character Coding" menu there is, among others, an option for KOI-8 encoding.
In an attempt to see what it is doing I added it to possible choices and try
to 'cat' to a screen a small test file in this encoding.  It does something
as my screen was covered with a bunch of squares while doing the same with
a default UTF-8 is producing a lot of question marks.  I am afraid that such
subtle differences really elude me.  There is no trace of a problem why trying
to display the same file, using appropriate fonts - of course, using Red Hat 7.3
system.

See also an old bug report #68651.
Comment 1 Havoc Pennington 2003-01-02 12:32:19 EST
squares would typically indicate that your font doesn't have glyphs for the file.

Can you attach your test file?
Comment 2 Michal Jaegermann 2003-01-02 12:40:42 EST
Actually I used the same file which was attached to #68651.  I did not bother
to repeat pictures attached to that older report as they did not basically
change.  But this particular text file is short so why not once again.
Comment 3 Michal Jaegermann 2003-01-02 12:42:13 EST
Created attachment 89060 [details]
a test file in KOI-8 encoding
Comment 4 Havoc Pennington 2003-01-02 15:18:40 EST
Created attachment 89064 [details]
test file in UTF-8

If I convert the test file to UTF-8, the terminal still fails to display it. 
But if you cut-and-paste what the terminal displays to gedit, or 
open the UTF-8 file in gedit, it displays correctly.

Conclusion I think is that the character coding stuff works properly 
(we correctly convert to UTF-8) but the terminal does not find the 
right font glyphs for the UTF-8.
Comment 5 Havoc Pennington 2003-01-03 10:46:17 EST
Owen says the problem is that gnome-terminal does not do fontsetting
as gedit etc. do, as a deliberate decision. So you have to choose a font
that actually has these characters.

Indeed if I choose "Andale Mono" (a Microsoft font we don't ship) then 
I can view this file. "Nimbus Mono" also seems to work, as does "Fixed"

Comment 6 Michal Jaegermann 2003-01-03 12:23:29 EST
I could follow that logic if there would be a way for a user to find out
if a given font has at least a chance to have required glyphs or not.
Since you took that out (in older versions I was able to pick up a desired
encoding and this had a pretty good chances that corresponding glyphs will
be also present) then IMO this "deliberate decision" is really a serious
conceptual and design bug.  Am I supposed to play a font lottery?  You
have to be kidding.

BTW - I tried to configure terminal fonts to "lucidatypewriter" which
in 7.3 distribution has a variant with koi-8 encoding and cyrylic glyphs.
Actually a cyryllic text picture attached to bug #68651 is done with this font. 
Now no dice.  Does that mean that fonts got broken too or that gnome-terminal
is too limited to look into the right places?

"fixed" most likely provides the example of the worst screen font
(mis)designed ever.  Sigh!
Comment 7 Bill Nottingham 2006-08-04 23:40:37 EDT
Red Hat apologizes that these issues have not been resolved yet. We do want to
make sure that no important bugs slip through the cracks.

Red Hat Linux 7.3 and Red Hat Linux 9 are no longer supported by Red Hat, Inc.
They are maintained by the Fedora Legacy project (http://www.fedoralegacy.org/)
for security updates only. If this is a security issue, please reassign to the
'Fedora Legacy' product in bugzilla. Please note that Legacy security update
support for these products will stop on December 31st, 2006.

If this is not a security issue, please check if this issue is still present
in a current Fedora Core release. If so, please change the product and version
to match, and check the box indicating that the requested information has been
provided.

If you are currently still running Red Hat Linux 7.3 or 9, please note that
Fedora Legacy security update support for these products will stop on December
31st, 2006. You are strongly advised to upgrade to a current Fedora Core release
or Red Hat Enterprise Linux or comparable. Some information on which option may
be right for you is available at http://www.redhat.com/rhel/migrate/redhatlinux/.

Any bug still open against Red Hat Linux 7.3 or 9 at the end of 2006 will be
closed 'CANTFIX'. Again, if this bug still exists in a current release, or is a
security issue, please change the product as necessary. We thank you for your
help, and apologize again that we haven't handled these issues to this point.
Comment 8 Michal Jaegermann 2006-08-05 13:14:48 EDT
I do not think that this old stuff is applicable any longer.

Note You need to log in before you can comment on or make changes to this bug.